{: test that constant expression error causes a compilation error }

program e1059( output );

type
   colour = ( black, brown, red, orange, yellow, green, blue, violet, grey, white);

const
   {!!! boolean operand required}
   c1 = not('z');
   c2 = not 'z';
   c3 = true and 'z';
   c4 = false or 'z';
   c5 = 'z' or true;
   c6 = 'z' and false;

var
   e : colour;
   n : integer;
   s : packed array[1..20] of char;

begin { e1059 }

   e := black;
   n := 2;

   writeln( 'constant expression type error not detected' );
end. { e1059 }

